Bug Hunting Session
Bug 62143 - EDITING: In RTL letter numbering bullets aren’t displayed properly in edit view.
Summary: EDITING: In RTL letter numbering bullets aren’t displayed properly in edit v...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium normal
Assignee: navin patidar
URL:
Whiteboard: target:4.1.0 target:4.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-11 05:37 UTC by navin patidar
Modified: 2013-03-14 13:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (114.98 KB, image/png)
2013-03-11 05:37 UTC, navin patidar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description navin patidar 2013-03-11 05:37:14 UTC
Created attachment 76315 [details]
Screenshot

Steps to reproduce bug.

1.  Create a slide in impress.
2.  Write some text and toggle bullet on.
3.  Choose letter numbering type bullet e.g. “(a”.
4.  Now change text writing direction LTR to  RTL.

Result:
Bullet “a)” doesn’t change, should be changed to “(a”.
Comment 1 abdulmajeed 2013-03-11 06:18:57 UTC
yes i can conform this bug on ubuntu 12.10 64 bit libreoffice 4.0
Comment 2 Commit Notification 2013-03-11 14:38:10 UTC
navin patidar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68c3dfc3119a50ee9c9c6d65f4c656637152bbad

fix fdo#62143: set TEXT_LAYOUT_BIDI_STRONG flag.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Lior Kaplan 2013-03-12 14:32:42 UTC
I can verify the fix, but it seems there's a regression (from 4.0.0.3) which with setting the directionality the alignment is also set. So if the text was aligned to center, now it's aligned to the right or to the left. This happens also when resetting the same directionality which already exist.

If this isn't a regression from this patch, let me know and I'll open another bug.
Comment 4 Lior Kaplan 2013-03-12 14:53:43 UTC
Seems the regression is part of the fix for bug 58919. Closing this bug, leaving the regression for the other bug.
Comment 5 Lior Kaplan 2013-03-12 14:54:00 UTC
Verified on master build.
Comment 6 Commit Notification 2013-03-14 13:26:24 UTC
navin patidar committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b6b0e5527cce681fe157b2f091b67a7ae8cf9aa2&h=libreoffice-4-0

fix fdo#62143: set TEXT_LAYOUT_BIDI_STRONG flag.


It will be available in LibreOffice 4.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.